ResolvableConfigurationsReportTask (Gradle API 7.6.3)

Package org.gradle.api.tasks.diagnostics

## Class ResolvableConfigurationsReportTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.tasks.diagnostics.AbstractConfigurationReportTask
      - - org.gradle.api.tasks.diagnostics.ResolvableConfigurationsReportTask

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Reporting<ConfigurationReports>`, `Task`, `Configurable<Task>`

      @Incubating
      @DisableCachingByDefault(because="Produces only non-cacheable console output by examining configurations at execution time")
      public abstract class ResolvableConfigurationsReportTask
      extends AbstractConfigurationReportTask

  A task which reports the configurations of a project which can be resolved on the command line. This is useful for determining which attributes are associated with the resolvable configurations being used to resolve a project's dependencies. The output can help predict which variant of each dependency will be resolved.
  Since:
    7.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolvableConfigurationsReportTask()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.gradle.api.tasks.diagnostics.internal.configurations.spec.AbstractConfigurationReportSpec` | `buildReportSpec()` |
    `abstract Property<java.lang.String>` | `getConfigurationName()` | Limits the report to a single configuration.
    `abstract Property<java.lang.Boolean>` | `getRecursive()` | Show all extended configurations, including transitively extended configurations.
    `abstract Property<java.lang.Boolean>` | `getShowAll()` | Shows all configurations, including legacy and deprecated configurations.

    - ### Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractConfigurationReportTask

      `getFileResolver, getObjectFactory, getReports, getTextOutputFactory, report, reports, reports`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### ResolvableConfigurationsReportTask

          public ResolvableConfigurationsReportTask()

  - ### Method Detail

    - #### getConfigurationName

          @Input
          @Optional
          public abstract Property<java.lang.String> getConfigurationName()

      Limits the report to a single configuration.
      Returns:
        property holding name of the configuration to report

    - #### getShowAll

          @Input
          @Optional
          public abstract Property<java.lang.Boolean> getShowAll()

      Shows all configurations, including legacy and deprecated configurations.
      Returns:
        property holding the flag to show all configurations

    - #### getRecursive

          @Input
          @Optional
          public abstract Property<java.lang.Boolean> getRecursive()

      Show all extended configurations, including transitively extended configurations.
      Returns:
        property holding the flag to show all extended configurations

    - #### buildReportSpec

          protected org.gradle.api.tasks.diagnostics.internal.configurations.spec.AbstractConfigurationReportSpec buildReportSpec()

      Specified by:
        `buildReportSpec` in class `AbstractConfigurationReportTask`